Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.container
Class PersonContainer

    java.lang.Object
      org.fourthline.cling.support.model.DIDLObject
          org.fourthline.cling.support.model.container.Container
              org.fourthline.cling.support.model.container.PersonContainer

Direct Known Subclasses:
  MusicArtist

    public class PersonContainer

extends Container

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.fourthline.cling.support.model.container.Container
`childCount, containers, createClasses, items, searchable, searchClasses`

Fields inherited from class org.fourthline.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`PersonContainer()`
`PersonContainer(Container other)`
`PersonContainer(String id, Container parent, String title, String creator, Integer childCount)`
`PersonContainer(String id, String parentID, String title, String creator, Integer childCount)`

Method Summary
`String` | `getLanguage()`
`PersonContainer` | `setLanguage(String language)`

Methods inherited from class org.fourthline.cling.support.model.container.Container
`addContainer, addItem, getChildCount, getContainers, getCreateClasses, getFirstContainer, getItems, getSearchClasses, isSearchable, setChildCount, setContainers, setCreateClasses, setItems, setSearchable, setSearchClasses`

Methods inherited from class org.fourthline.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### PersonContainer

    public PersonContainer()

### PersonContainer

    public PersonContainer(Container other)

### PersonContainer

    public PersonContainer(String id,
                           Container parent,
                           String title,
                           String creator,
                           Integer childCount)

### PersonContainer

    public PersonContainer(String id,
                           String parentID,
                           String title,
                           String creator,
                           Integer childCount)

Method Detail

### getLanguage

    public String getLanguage()

### setLanguage

    public PersonContainer setLanguage(String language)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.